Skip to main content
GET
/
v1
/
admin
/
sponsorships
Error
A valid request URL is required to generate request examples
{
  "rows": [
    {
      "id": 123,
      "marketId": 123,
      "question": "<string>",
      "marketResolved": true,
      "sponsorAddress": "<string>",
      "totalAmount": 123,
      "dailyAmount": 123,
      "days": 123,
      "startTs": 123,
      "endTs": 123,
      "remainingAmount": 123,
      "txId": "<string>",
      "refundTxId": "<string>",
      "attempts": 123,
      "verifyError": "<string>",
      "verifiedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "counts": {},
  "custody": {
    "activeRemaining": 123,
    "pendingDeposits": 123
  },
  "stuckCount": 123,
  "asOf": "<string>"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Query Parameters

status
enum<string>
Available options:
pending,
active,
completed,
refunded,
cancelled
stuckOnly
boolean
limit
integer
default:200
Required range: 1 <= x <= 500

Response

Default Response

rows
object[]
required
counts
object
required
custody
object
required
stuckCount
number
required
asOf
string
required